Updating from r2.0.10 to 2.1 provides a errors


#1

Hi all at Zerynth.

We seem to face some problem while updating Zerynth Studio to the new release.

We have it installed on a Windows 10 machine

Upon clicking Rolling Update! at the bottom left corner and clicking the Update button the console provides the following log:

<div>Loading&nbsp;settings...<br><br><br></div><div>Ready!<br><br></div><div>Checking&nbsp;for&nbsp;updates...<br><br></div><div>[fatal]&nbsp;Token&nbsp;expired!&nbsp;Please&nbsp;run&nbsp;'ztc&nbsp;login'&nbsp;to&nbsp;get&nbsp;a&nbsp;new&nbsp;one<br><br></div><div>WARNING!!&nbsp;Can't&nbsp;retrieve&nbsp;user&nbsp;info!<br><br></div><div>[warning]&nbsp;Can't&nbsp;update&nbsp;repository&nbsp;community<br><br></div><div>[warning]&nbsp;Can't&nbsp;update&nbsp;repository&nbsp;official<br><br></div><div>[info]&nbsp;Downloading&nbsp;vhal.zerynth.xtensalx6_esp32<br><br></div><div>[error]&nbsp;Error&nbsp;while&nbsp;downloading&nbsp;vhal.zerynth.xtensalx6_esp32<br><br></div><div>Update&nbsp;failed:1<br><br></div><div>[info]&nbsp;Downloading&nbsp;board.zerynth.firebeetle_esp32<br><br></div><div>[error]&nbsp;Error&nbsp;while&nbsp;downloading&nbsp;board.zerynth.firebeetle_esp32</div><div>Update&nbsp;failed:1<br><br></div><div>Error&nbsp;while&nbsp;loading&nbsp;profile!&nbsp;TypeError:&nbsp;Cannot&nbsp;read&nbsp;property&nbsp;'slice'&nbsp;of&nbsp;undefined<br><br></div><div>[info]&nbsp;Downloading&nbsp;core.zerynth.toolchain<br><br></div><div>[error]&nbsp;Error&nbsp;while&nbsp;downloading&nbsp;core.zerynth.toolchain<br><br></div><div>Update&nbsp;failed:1<br><br></div>
<br>In order to create a new token we tried the above mentioned command in a Windows Command Prompt<br><br><pre class="CodeBlock">`ztc login`

which gives the following error:

Error reading Z:\\zerynth2\\cfg\\config.json<br>
Can you please suggest some hints to work around this?<br><br>Thanks<br><br>

#2

Hi iotfablab,

which version of the Zerynth Studio are you going to update?
As mentioned in the announce, the Rolling Updates button works only for r2.0.11 release; for older releases you have to install from scratch starting from the Zerynth Installer (link).

Let me know if this can help you :slight_smile:


#3

Hi,

We will do that. Will the new installation affect any old repositories on the machine?


#4

no, at all :slight_smile: